Subject: Re: [PATCH] Set cpu explicitly in kernel compiles

From: Dan Malek <[email-masked]>
Date: Thu, 5 May 2005 08:12:39 -0400

On May 5, 2005, at 12:44 AM, Paul Mackerras wrote:

> The problem only comes up if you configure gcc4 as biarch.  I can't
> imagine anyone building a biarch compiler for 4xx or 8xx. :)

Why not?  I've never built a "special" compiler for any development
work, and am very likely to use the default compiler installed on
my YDL system (which could likely be a G5) for building any
embedded PowerPC software.

> So yes, only CONFIG_6xx is affected by biarch gcc4 assuming POWER4.
> Other families would only be affected if you were using a generic
> gcc4, which won't work at present anyway, since we don't add
> -mcpu=xxx.

What do you mean by "won't work"?  The compiler simply refuses
or builds for a POWER4 because we don't have the proper -mcpu
flags?

Thanks.

	-- Dan